<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/lut.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">lut.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File containing Look-Up Table and LUT management headers.  
<a href="#details">More...</a></p>

<p><a href="lut_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a17755e96c9f22566e38a8a689eba040b"><td class="memItemLeft" align="right" valign="top">char **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lut_8h.html#a17755e96c9f22566e38a8a689eba040b">genLUT</a> (char *key)</td></tr>
<tr class="memdesc:a17755e96c9f22566e38a8a689eba040b"><td class="mdescLeft">&#160;</td><td class="mdescRight">return a lookup table with the <code>key</code>  <a href="#a17755e96c9f22566e38a8a689eba040b">More...</a><br /></td></tr>
<tr class="separator:a17755e96c9f22566e38a8a689eba040b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab237f30488f8d1ec8a6ec11a12b24877"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lut_8h.html#ab237f30488f8d1ec8a6ec11a12b24877">dispLUT</a> (char **<a class="el" href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">lut</a>)</td></tr>
<tr class="memdesc:ab237f30488f8d1ec8a6ec11a12b24877"><td class="mdescLeft">&#160;</td><td class="mdescRight">diplay look-up table with the address <code>lut</code>  <a href="#ab237f30488f8d1ec8a6ec11a12b24877">More...</a><br /></td></tr>
<tr class="separator:ab237f30488f8d1ec8a6ec11a12b24877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74142679c37b481a45d1925775194a49"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lut_8h.html#a74142679c37b481a45d1925775194a49">genPass</a> (char *key, char *pass)</td></tr>
<tr class="separator:a74142679c37b481a45d1925775194a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed51c7d3aa94cd8b67f3a1b0aad5031e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lut_8h.html#aed51c7d3aa94cd8b67f3a1b0aad5031e">checkKeySize</a> (char *key)</td></tr>
<tr class="separator:aed51c7d3aa94cd8b67f3a1b0aad5031e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b69036529e42e685684300de0baf18"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lut_8h.html#a89b69036529e42e685684300de0baf18">checkKeyHasUniqueCaracters</a> (char *key)</td></tr>
<tr class="separator:a89b69036529e42e685684300de0baf18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999a76fa6c842cdb357ca2d51c706279"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lut_8h.html#a999a76fa6c842cdb357ca2d51c706279">keySize</a> (char *key)</td></tr>
<tr class="separator:a999a76fa6c842cdb357ca2d51c706279"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File containing Look-Up Table and LUT management headers. </p>
<dl class="section author"><dt>Author</dt><dd>Gabin Blot </dd></dl>
<dl class="section date"><dt>Date</dt><dd>24 Nov 2019</dd></dl>
<p>This header file defines functions in order to generate and manage the LUT </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a89b69036529e42e685684300de0baf18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89b69036529e42e685684300de0baf18">&#9670;&nbsp;</a></span>checkKeyHasUniqueCaracters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int checkKeyHasUniqueCaracters </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed51c7d3aa94cd8b67f3a1b0aad5031e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed51c7d3aa94cd8b67f3a1b0aad5031e">&#9670;&nbsp;</a></span>checkKeySize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int checkKeySize </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab237f30488f8d1ec8a6ec11a12b24877"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab237f30488f8d1ec8a6ec11a12b24877">&#9670;&nbsp;</a></span>dispLUT()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void dispLUT </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>lut</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>diplay look-up table with the address <code>lut</code> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">address</td><td>Should be a <code>pointer</code> to a look-up table </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a17755e96c9f22566e38a8a689eba040b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17755e96c9f22566e38a8a689eba040b">&#9670;&nbsp;</a></span>genLUT()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char** genLUT </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>return a lookup table with the <code>key</code> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Should be a <code>char</code> array address wich is ended by <code>\0</code> and doesn't have duplicate letters </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>return</code> is a lookup table in order to encrypt a string through caesar's rotation with a specific <code>key</code> </dd></dl>

</div>
</div>
<a id="a74142679c37b481a45d1925775194a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74142679c37b481a45d1925775194a49">&#9670;&nbsp;</a></span>genPass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* genPass </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>pass</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a999a76fa6c842cdb357ca2d51c706279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a999a76fa6c842cdb357ca2d51c706279">&#9670;&nbsp;</a></span>keySize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int keySize </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
